Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class AddExportServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.pentaho.di.www.AddExportServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class AddExportServlet

extends javax.servlet.http.HttpServlet

This servlet allows you to transport an exported job or transformation over to the carte server as a zip file. It ends up in a temporary file. The servlet returns the name of the file stored.

Author:
  matt
See Also:
  Serialized Form

Field Summary
`static String` | `CONTEXT_PATH`
`static String` | `PARAMETER_LOAD`
`static String` | `PARAMETER_TYPE`
`static String` | `TYPE_JOB`
`static String` | `TYPE_TRANS`

Constructor Summary
`AddExportServlet(JobMap jobMap, TransformationMap transformationMap)`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`String` | `toString()`

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARAMETER_LOAD

    public static final String PARAMETER_LOAD

See Also:
  Constant Field Values

### PARAMETER_TYPE

    public static final String PARAMETER_TYPE

See Also:
  Constant Field Values

### TYPE_JOB

    public static final String TYPE_JOB

See Also:
  Constant Field Values

### TYPE_TRANS

    public static final String TYPE_TRANS

See Also:
  Constant Field Values

### CONTEXT_PATH

    public static final String CONTEXT_PATH

See Also:
  Constant Field Values

Constructor Detail

### AddExportServlet

    public AddExportServlet(JobMap jobMap,
                            TransformationMap transformationMap)

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD